> ## Documentation Index
> Fetch the complete documentation index at: https://otoyinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List SSH Public Keys



## OpenAPI

````yaml https://api.dispersed.com/openapi.json get /v1/ssh-public-keys
openapi: 3.1.0
info:
  title: Dispersed API
  version: 1.0.0
servers:
  - url: https://api.dispersed.com
security: []
paths:
  /v1/ssh-public-keys:
    get:
      tags:
        - SSH Public Keys
      summary: List SSH Public Keys
      parameters:
        - schema:
            type: integer
            minimum: 1
            maximum: 50
            example: 1
          required: false
          name: limit
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 9007199254740991
            example: 1
          required: false
          name: page
          in: query
        - schema:
            type: string
            example: created_at OR -created_at
          required: false
          name: sort
          in: query
        - schema:
            type: string
            format: uuid
          required: false
          name: filter[account_uuid]
          in: query
        - schema:
            type: string
            example: 2023-01-01,2024-01-01
          required: false
          name: filter[created_at]
          in: query
        - schema:
            type: string
          required: false
          name: filter[fingerprint]
          in: query
        - schema:
            type: string
            example: 'true'
          required: false
          name: filter[is_default]
          in: query
        - schema:
            type: string
          required: false
          name: filter[name]
          in: query
      responses:
        '200':
          description: List of SSH public keys
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/SshPublicKeyResponse'
                  limit:
                    type: integer
                  page:
                    type: integer
                  total:
                    type: integer
                required:
                  - data
                  - limit
                  - page
                  - total
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    SshPublicKeyResponse:
      type: object
      properties:
        account:
          type:
            - string
            - 'null'
        account_uuid:
          type:
            - string
            - 'null'
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        deleted_at:
          type:
            - string
            - 'null'
          format: date-time
        fingerprint:
          type: string
        is_default:
          type: boolean
        last_used_at:
          type:
            - string
            - 'null'
          format: date-time
        name:
          type:
            - string
            - 'null'
        object:
          type: string
          enum:
            - ssh_public_key
        public_key:
          type: string
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
        uuid:
          type:
            - string
            - 'null'
      required:
        - created_at
        - fingerprint
        - is_default
        - object
        - public_key
        - updated_at
    ErrorResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/Error'
      required:
        - error
    Error:
      type: object
      properties:
        code:
          type: string
        details:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
              expected:
                type: string
              input:
                type: string
              keys:
                type: array
                items:
                  type: string
              message:
                type: string
              path:
                type: array
                items:
                  anyOf:
                    - type: string
                    - type: number
            required:
              - message
              - path
          default: []
        message:
          type: string
        status:
          type: number
        timestamp:
          type: string
      required:
        - code
        - message
        - status
        - timestamp

````